CppCMS

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
booster::match_results< Iterator > Class Template Reference

The object that hold the result of matching a regular expression against the text using regex_match and regex_search functions. More...

`#include <booster/booster/regex_match.h>`

## Public Types
typedef sub_match< Iterator > | value_type

## Public Member Functions
| match_results ()
value_type | operator[] (int n) const
size_t | size () const
value_type | suffix ()
value_type | prefix ()

## Detailed Description

### template<typename Iterator>
class booster::match_results< Iterator >

The object that hold the result of matching a regular expression against the text using regex_match and regex_search functions.

## Member Typedef Documentation

template<typename Iterator >

typedef sub_match<Iterator> booster::match_results< Iterator >::value_type

The type of subexpression returned by operator[]

## Constructor & Destructor Documentation

template<typename Iterator >

booster::match_results< Iterator >::match_results | ( |  | ) |
| inline

Creates default empty matched result.

## Member Function Documentation

template<typename Iterator >

value_type booster::match_results< Iterator >::operator[] | ( | int | n | ) | const
| inline

Get the sub_match for subexpression n. If n < 0 or n >= size() returns an empty sub_match

References booster::sub_match< Iterator >::matched.

template<typename Iterator >

value_type booster::match_results< Iterator >::prefix | ( |  | ) |
| inline

Get the text range after the matched expression. Always empty for match_results

References booster::sub_match< Iterator >::matched.

template<typename Iterator >

size_t booster::match_results< Iterator >::size | ( |  | ) | const
| inline

Get the number of captured subexpressions in the regular expression.

template<typename Iterator >

value_type booster::match_results< Iterator >::suffix | ( |  | ) |
| inline

Get the text range before the matched expression. Always empty for match_results

References booster::sub_match< Iterator >::matched.

The documentation for this class was generated from the following file:

- booster/regex_match.h